/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.transport.monitoring;

import java.util.Map;

/**
 * Management Bean of the local transporter monitoring service.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface LocalTransporterMonitoringService {

    /**
     * <p>
     * Get metrics about the number of messages sent locally by the current container, since the last start of the
     * transporter.
     * </p>
     * <p>
     * The map key ({@link String}[]) is composed of following ordered fields:
     * <ul>
     * <li>[0]: the delivery status: PENDING, SUCCEEDED or ERROR.</li>
     * </ul>
     * </p>
     * 
     * @return The metrics.
     */
    public Map<String[], Long> getDeliveredMessagesCount();

}
